Bug 2176220 (CVE-2022-4645) - CVE-2022-4645 libtiff: out-of-bounds read in tiffcp in tools/tiffcp.c
Summary: CVE-2022-4645 libtiff: out-of-bounds read in tiffcp in tools/tiffcp.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-4645
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2148890 2176221 2176222 2176223 2176224 2176228 2176229 2176230 2176231
Blocks: 2175288
TreeView+ depends on / blocked
 
Reported: 2023-03-07 17:09 UTC by Guilherme de Almeida Suckevicz
Modified: 2024-05-22 09:42 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in tiffcp, a program distributed by the libtiff package. A specially crafted tiff file can lead to an out-of-bounds read in the tiffcp function in tools/tiffcp.c, resulting in a denial of service and limited information disclosure.
Clone Of:
Environment:
Last Closed: 2023-05-09 17:48:34 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:2340 0 None None None 2023-05-09 07:31:45 UTC
Red Hat Product Errata RHSA-2024:3059 0 None None None 2024-05-22 09:42:40 UTC

Description Guilherme de Almeida Suckevicz 2023-03-07 17:09:50 UTC
LibTIFF 4.4.0 has an out-of-bounds read in tiffcp in tools/tiffcp.c:948, allowing attackers to cause a denial-of-service via a crafted tiff file. For users that compile libtiff from sources, the fix is available with commit e8131125.

References:
https://gitlab.com/libtiff/libtiff/-/issues/277
https://gitlab.com/gitlab-org/cves/-/blob/master/2022/CVE-2022-4645.json

Upstream patch:
https://gitlab.com/libtiff/libtiff/-/commit/e813112545942107551433d61afd16ac094ff246

Comment 1 Guilherme de Almeida Suckevicz 2023-03-07 17:10:19 UTC
Created iv tracking bugs for this issue:

Affects: fedora-all [bug 2176224]


Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 2176223]


Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 2176221]


Created tkimg tracking bugs for this issue:

Affects: fedora-all [bug 2176222]

Comment 4 errata-xmlrpc 2023-05-09 07:31:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:2340 https://access.redhat.com/errata/RHSA-2023:2340

Comment 5 Product Security DevOps Team 2023-05-09 17:48:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-4645

Comment 7 errata-xmlrpc 2024-05-22 09:42:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3059 https://access.redhat.com/errata/RHSA-2024:3059


Note You need to log in before you can comment on or make changes to this bug.